From f7f7f6ba7dd3b8b2b048a494362482db1f4689b6 Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Sat, 19 Aug 2023 06:25:13 +0800
Subject: [PATCH 1/3] Fix for missing u_int32_t for macOS

Fixes: https://github.com/MusicPlayerDaemon/ncmpc/issues/130
---
 src/net/IPv4Address.hxx | 4 ++++
 1 file changed, 4 insertions(+)

diff --git src/net/IPv4Address.hxx src/net/IPv4Address.hxx
index 36db16a2..878044b8 100644
--- src/net/IPv4Address.hxx
+++ src/net/IPv4Address.hxx
@@ -38,6 +38,10 @@ class IPv4Address {
 	typedef uint32_t in_addr_t;
 #endif
 
+#ifdef __APPLE__
+    typedef uint32_t u_int32_t;
+#endif
+
 	static constexpr in_addr_t ConstructInAddrT(uint8_t a, uint8_t b,
 						    uint8_t c, uint8_t d) noexcept {
 		return ToBE32((a << 24) | (b << 16) | (c << 8) | d);
